<?php
include "../ver_sessao.php";
include "../conecta.php";



function modifica_planoconta(){
	
	global $a_mod;
	$a_mod = carregar('planoconta',$_POST[id]);
	layout_planoconta();
	
}

function cadastra_planoconta(){
	
	$campos = array(plan_tx_nome,plan_tx_tipo,plan_tx_status,plan_nb_classe);
	$valores= array(formata_nome($_POST[nome]),$_POST[tipo],ativo,$_POST[classe]);
	
	inserir('planoconta',$campos,$valores);
	index();
	exit;
	
}

function atualiza_planoconta(){
	
	$campos = array(plan_tx_nome,plan_tx_tipo,plan_nb_classe);
	$valores= array(formata_nome($_POST[nome]),$_POST[tipo],$_POST[classe]);
	
	atualizar('planoconta',$campos,$valores,$_POST[id]);
	index();
	exit;
	
}

function exclui_planoconta(){
	
	remover('planoconta',$_POST[id]);
	index();
	exit;
	
}


function layout_imprimir(){
	
	/*
	$sql = selecionar('planoconta','plan_tx_status',"!inativo"," $extra ORDER BY plan_tx_nome",1);
	
	cabecaRelatorio('Relatório');

	if($_POST[busca_cod]!='')
		$extra .= " AND plan_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_planoconta]!='')
		$extra .= " AND plan_tx_nome LIKE '%$_POST[busca_planoconta]%'";
	if($_POST[busca_tipo]!='')
		$extra .= " AND plan_tx_tipo = '$_POST[busca_tipo]'";
	if($_POST[busca_classe]!='')
		$extra .= " AND plan_tx_classe LIKE '%$_POST[busca_classe]%'";
		

	
	
	
	$cabecalho[] = array('COD','NOME','CLASSE','TIPO','','');
	$cabecalho[] = 'c,e,e,e,e';
	$cabecalho[] = '6%,,12%,10%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
		$valores[] = array($a[plan_nb_id],$a[plan_tx_nome],$a[plan_tx_classe],$a[plan_tx_tipo]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	*/
	
	if($_POST[busca_cod]!='')
		$extra .= " AND plan_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_planoconta]!='')
		$extra .= " AND plan_tx_nome LIKE '%$_POST[busca_planoconta]%'";
	if($_POST[busca_tipo]!='')
		$extra .= " AND plan_tx_tipo = '$_POST[busca_tipo]'";
	if($_POST[busca_classe]!='')
		$extra .= " AND plan_nb_classe = '$_POST[busca_classe]'";
	
	cabecaRelatorio('Relatório de Plano de Contas');
	
	$sql = selecionar('planoconta,classe','plan_tx_status',"!inativo"," $extra ORDER BY plan_tx_nome");
	
	$cabecalho[] = array('COD','NOME','CLASSE','TIPO');
	$cabecalho[] = 'c,e,e,e,e';
	$cabecalho[] = '6%,,24%,10%,2%,2%';
	
	while( $a = carrega_array($sql) ){
		
		$valores[] = array($a[plan_nb_id],$a[plan_tx_nome],$a[clas_tx_nome],$a[plan_tx_tipo]);
		
	}
	
	grid::gerar($cabecalho,$valores);
}

function layout_planoconta(){
	
	global $a_mod;
	
	cabecalho('Cadastro de Planos de Contas',2);
	
	//CAMPOS
	$nome = cactux::campo('Plano de Conta:','nome',$a_mod[plan_tx_nome],5);
	$classe = cactux::combo_bd('Classe:','classe',$a_mod[plan_nb_classe],$a_mod[plan_nb_classe],3,'classe');
	// $classe = cactux::campo('Classe:','classe',$a_mod[plan_tx_classe],3);
	$tipo = cactux::combo('Tipo:','tipo',array('Despesa','Receita'),$a_mod[plan_tx_tipo],2);
	
	//BOTOES
	if(acao() == 'layout_planoconta')
		$gravar = cactux::botao_submit('Gravar',2,'cadastra_planoconta');
	else
		$gravar = cactux::botao_submit('Atualizar',2,'atualiza_planoconta','id',$_POST[id]);
	
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de Planos de Contas');
	cactux::linha_fieldset($nome,$classe,$tipo);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
	
}


function index(){
	

	if($_POST[busca_cod]!='')
		$extra .= " AND plan_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_planoconta]!='')
		$extra .= " AND plan_tx_nome LIKE '%$_POST[busca_planoconta]%'";
	if($_POST[busca_tipo]!='')
		$extra .= " AND plan_tx_tipo = '$_POST[busca_tipo]'";
	if($_POST[busca_classe]!='')
		$extra .= " AND plan_nb_classe = '$_POST[busca_classe]'";


	
	$sql = selecionar('planoconta,classe','plan_tx_status',"!inativo"," $extra ORDER BY plan_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Planos de Contas',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],1);
	$nome = cactux::campo('Plano de Conta:','busca_planoconta',$_POST[busca_planoconta],5);
	$classe = cactux::combo_bd('!Classe:','busca_classe',$_POST[busca_classe],$_POST[busca_classe],3,'classe');
	$tipo = cactux::combo('Tipo:','busca_tipo',array('','Despesa','Receita'),$_POST[busca_tipo],1);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Cadastro de Plano de Conta');
	cactux::linha_fieldset($cod,$nome,$classe,$tipo);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_planoconta');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','NOME','CLASSE','TIPO','','');
	$cabecalho[] = 'c,e,e,e';
	$cabecalho[] = '6%,,24%,10%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){

		// NÃO PERMITE EXCLUIR O PLANO PADRÃO
		if ( $a[plan_nb_id] != 1 ) {
			$modificar = ".icone_modificar($a[0],modifica_planoconta)";
			$excluir = ".icone_excluir($a[0],exclui_planoconta)";
		}
		
		$valores[] = array($a[plan_nb_id],$a[plan_tx_nome],$a[clas_tx_nome],$a[plan_tx_tipo],$modificar,$excluir);

		unset($modificar,$excluir);		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>